# Uses of Enum
org.apache.avro.Resolver.ErrorAction.ErrorType

Packages that use Resolver.ErrorAction.ErrorType
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of Resolver.ErrorAction.ErrorType in org.apache.avro

Fields in org.apache.avro declared as Resolver.ErrorAction.ErrorType
Modifier and Type
Field
Description
`final Resolver.ErrorAction.ErrorType`
Resolver.ErrorAction.`error`
Methods in org.apache.avro that return Resolver.ErrorAction.ErrorType
Modifier and Type
Method
Description
`static Resolver.ErrorAction.ErrorType`
Resolver.ErrorAction.ErrorType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Resolver.ErrorAction.ErrorType[]`
Resolver.ErrorAction.ErrorType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.apache.avro with parameters of type Resolver.ErrorAction.ErrorType
Modifier
Constructor
Description
``
`ErrorAction(Schema w, Schema r, GenericData d, Resolver.ErrorAction.ErrorType e)`